%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Net-DNS
%define modv   0.65


Summary:       Perl interface to the DNS resolver
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/O/OL/OLAF/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Olaf Kolkman <olaf@net-dns.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(IO::Socket::INET6) >= 2.00
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::BubbleBabble)
BuildRequires: perl(Digest::HMAC_MD5) >= 1.00
BuildRequires: perl(Digest::MD5) >= 2.12
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::INET6) >= 2.00
BuildRequires: perl(MIME::Base64) >= 2.11
BuildRequires: perl(Net::IP) >= 1.2
BuildRequires: perl(Socket)
BuildRequires: perl(Socket6)
BuildRequires: perl(Test::More) >= 0.18
BuildRequires: perl(Test::Pod) >= 0.95


%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver.


%prep
%setup -q -n %{modn}-%{modv}

# Filter requires 
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(Win32::Registry)/d'
_EOF_

%define __perl_requires %{_builddir}/%{modn}-%{modv}/%{name}-req
%{__chmod} +x %{name}-req 


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net
%{_mandir}/man3/*.3*


%changelog
* Mon Feb 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.65-1
- New version (0.65)

* Sat Nov 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.63-1
- Initial build
